summaryrefslogtreecommitdiff
path: root/lib/talloc/script
diff options
context:
space:
mode:
authorSimo Sorce <idra@samba.org>2009-10-14 10:55:11 -0400
committerSimo Sorce <idra@samba.org>2009-10-14 11:05:52 -0400
commit8e6df560b74d7e9b94dd47625de56bc1dc0bc6d7 (patch)
treef3124c71e561862f7831419572023759c7b26a08 /lib/talloc/script
parent2d6d6bcb5de87ce0dbce13ff6bc775b953438b75 (diff)
downloadsamba-8e6df560b74d7e9b94dd47625de56bc1dc0bc6d7.tar.gz
samba-8e6df560b74d7e9b94dd47625de56bc1dc0bc6d7.tar.bz2
samba-8e6df560b74d7e9b94dd47625de56bc1dc0bc6d7.zip
talloc: Move release script under /script too
Diffstat (limited to 'lib/talloc/script')
-rwxr-xr-xlib/talloc/script/release-script.sh48
1 files changed, 48 insertions, 0 deletions
diff --git a/lib/talloc/script/release-script.sh b/lib/talloc/script/release-script.sh
new file mode 100755
index 0000000000..6b6c0e7aad
--- /dev/null
+++ b/lib/talloc/script/release-script.sh
@@ -0,0 +1,48 @@
+#!/bin/bash
+
+if [ "$1" = "" ]; then
+ echo "Please provide version string, eg: 1.2.0"
+ exit 1
+fi
+
+if [ ! -d "lib/talloc" ]; then
+ echo "Run this script from the samba base directory."
+ exit 1
+fi
+
+git clean -f -x -d lib/talloc
+git clean -f -x -d lib/replace
+
+curbranch=`git-branch |grep "^*" | tr -d "* "`
+
+version=$1
+strver=`echo ${version} | tr "." "-"`
+
+# Checkout the release tag
+git branch -f talloc-release-script-${strver} talloc-${strver}
+if [ ! "$?" = "0" ]; then
+ echo "Unable to checkout talloc-${strver} release"
+ exit 1
+fi
+
+git checkout talloc-release-script-${strver}
+
+# Test configure agrees with us
+confver=`grep "^AC_INIT" lib/talloc/configure.ac | tr -d "AC_INIT(talloc, " | tr -d ")"`
+if [ ! "$confver" = "$version" ]; then
+ echo "Wrong version, requested release for ${version}, found ${confver}"
+ exit 1
+fi
+
+# Now build tarball
+cp -a lib/talloc talloc-${version}
+cp -a lib/replace talloc-${version}/libreplace
+pushd talloc-${version}
+./autogen.sh
+popd
+tar cvzf talloc-${version}.tar.gz talloc-${version}
+rm -fr talloc-${version}
+
+#Clean up
+git checkout $curbranch
+git branch -d talloc-release-script-${strver}